org.eclipse.aether

## Interface RepositoryListener

- All Known Implementing Classes:
    AbstractRepositoryListener, ChainedRepositoryListener, RecordingRepositoryListener

      public interface RepositoryListener

  A listener being notified of events from the repository system. In general, the system sends events upon termination of an operation like `artifactResolved(RepositoryEvent)` regardless whether it succeeded or failed so listeners need to inspect the event details carefully. Also, the listener may be called from an arbitrary thread. Note: Implementors are strongly advised to inherit from `AbstractRepositoryListener` instead of directly implementing this interface.
  See Also:
    `TransferListener`
  Restriction:
    This interface is not intended to be extended by clients.
  Restriction:
    This interface is not intended to be implemented by clients.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `artifactDeployed(RepositoryEvent event)`
    `void` | `artifactDeploying(RepositoryEvent event)`
    `void` | `artifactDescriptorInvalid(RepositoryEvent event)`
    `void` | `artifactDescriptorMissing(RepositoryEvent event)`
    `void` | `artifactDownloaded(RepositoryEvent event)`
    `void` | `artifactDownloading(RepositoryEvent event)`
    `void` | `artifactInstalled(RepositoryEvent event)`
    `void` | `artifactInstalling(RepositoryEvent event)`
    `void` | `artifactResolved(RepositoryEvent event)`
    `void` | `artifactResolving(RepositoryEvent event)`
    `void` | `metadataDeployed(RepositoryEvent event)`
    `void` | `metadataDeploying(RepositoryEvent event)`
    `void` | `metadataDownloaded(RepositoryEvent event)`
    `void` | `metadataDownloading(RepositoryEvent event)`
    `void` | `metadataInstalled(RepositoryEvent event)`
    `void` | `metadataInstalling(RepositoryEvent event)`
    `void` | `metadataInvalid(RepositoryEvent event)`
    `void` | `metadataResolved(RepositoryEvent event)`
    `void` | `metadataResolving(RepositoryEvent event)`

- - ### Method Detail

    - #### artifactDescriptorInvalid

          void artifactDescriptorInvalid(RepositoryEvent event)

    - #### artifactDescriptorMissing

          void artifactDescriptorMissing(RepositoryEvent event)

    - #### metadataInvalid

          void metadataInvalid(RepositoryEvent event)

    - #### artifactResolving

          void artifactResolving(RepositoryEvent event)

    - #### artifactResolved

          void artifactResolved(RepositoryEvent event)

    - #### metadataResolving

          void metadataResolving(RepositoryEvent event)

    - #### metadataResolved

          void metadataResolved(RepositoryEvent event)

    - #### artifactDownloading

          void artifactDownloading(RepositoryEvent event)

    - #### artifactDownloaded

          void artifactDownloaded(RepositoryEvent event)

    - #### metadataDownloading

          void metadataDownloading(RepositoryEvent event)

    - #### metadataDownloaded

          void metadataDownloaded(RepositoryEvent event)

    - #### artifactInstalling

          void artifactInstalling(RepositoryEvent event)

    - #### artifactInstalled

          void artifactInstalled(RepositoryEvent event)

    - #### metadataInstalling

          void metadataInstalling(RepositoryEvent event)

    - #### metadataInstalled

          void metadataInstalled(RepositoryEvent event)

    - #### artifactDeploying

          void artifactDeploying(RepositoryEvent event)

    - #### artifactDeployed

          void artifactDeployed(RepositoryEvent event)

    - #### metadataDeploying

          void metadataDeploying(RepositoryEvent event)

    - #### metadataDeployed

          void metadataDeployed(RepositoryEvent event)

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.